<?php

namespace App\Filament\Actions\Cheerful;

use App\Filament\Support\CheerfulNotification;
use Filament\Actions\EditAction as ActionsEditAction;

class EditAction extends ActionsEditAction
{
    protected function setUp(): void
    {
        parent::setUp();

        $this->modalHeading(fn () => CheerfulNotification::getByKey('actions.edit.title'));

        $this->modalDescription(fn () => CheerfulNotification::getByKey('actions.edit.description'));

        $this->successNotification(fn () => CheerfulNotification::update()
        );
    }
}
